@use "../variables" as v;
@use "../mixins";

header {
  background: url("/dist/img/header-background-descktop.png") no-repeat center;
  background-size: cover;
}

.header {
  @include mixins.flex-placement-column;
  height: 720px;
  width: 100%;
  &__nav-tablet-higher-part-wrapper {
    @include mixins.flex-placement-row;
    flex-grow: 1;
  }
  &__nav-logo-text-wrapper:hover .header__logo {
    background: url("/dist/img/header-logo-hover.png");
    transition: all 0.5s ease;
  }
  &__nav-logo-text-wrapper:hover .header__nav-text {
    color: white;
    transition: all 0.5s ease;
  }
  &__nav-elements-desktop {
    display: none;
  }
  &__nav {
    max-width: v.$desktop + 0px;
    width: 90%;
    background-color: #27262a;
    height: 103px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 5%;
  }
  &__logo {
    background: url("/dist/img/header-logo.png") no-repeat;
    width: 43px;
    height: 41px;
    &:hover {
    }
  }
  &__nav-text {
    color: v.$main-color;
  }
  &__button {
    @include mixins.button-styling(119px, 37px, 40px, v.$main-color, white);
    margin: 0 15%;
    @include mixins.font-styling-m(15px);
    border: none;
    &:hover {
      color: v.$main-color;
      background-color: white;
      transition: all 0.5s ease;
    }
  }
  &__dropdown-menu {
    @include mixins.flex-placement-column;
  }
  &__dropdown-menu-line {
    width: 26px;
    height: 3px;
    margin: 6px 0;
    background-color: white;
    border-radius: 5px;
    &:nth-child(1) {
      width: 15px;
      margin-left: 11px;
      margin-top: 10px;
    }
  }
  &__fork-app-section {
    @include mixins.flex-placement-column;
  }
  &__title {
    @include mixins.font-styling-m(48px);
    color: white;
    margin-top: 50px;
  }

  &__description-text {
    @include mixins.font-styling-m(18px);
    font-weight: normal;
    color: v.$main-color;
    padding: 17px;
    line-height: 24px;
  }
  &__version-text {
    color: #848e97;
    @include mixins.font-styling-m(14px);
    font-weight: normal;
  }
  &__download-button {
    @include mixins.button-styling(290px, 45px, 40px, v.$main-color, white);
    @include mixins.font-styling-m(18px);
    border: none;
    position: absolute;
    top: 695px;
    &:hover {
      color: v.$main-color;
      background-color: white;
      transition: all 0.5s ease;
    }
  }
  &__download-button-description {
    position: absolute;
    top: 760px;
    color: #848e97;
    font-size: 14px;
  }
  &__dropdown-menu-hidden-part {
    position: absolute;
    top: 103px;
    right: 5%;
    width: 290px;
    height: 366px;
    background-color: #333333;
  }
  &__dropdown-menu-element-line {
    width: 8px;
    height: 53px;
    margin-right: 10%;
    background-color: #333333;
  }

  &__dropdown-menu-element {
    display: flex;
    align-items: center;
    height: 88px;
    border-bottom: 1px solid #848e97;
    color: white;
    font-family: "Montserrat";
    font-size: 26px;
    &:focus {
      color: v.$main-color;
    }
  }
  &__dropdown-menu-element:focus .header__dropdown-menu-element-line {
    background-color: v.$main-color;
  }
  &__dropdown-menu-lines {
    background-color: #27262a;
    height: 38px;
    border: none;
    width: 38px;
  }
  &__nav-text {
    display: none;
  }
  &__nav-elements {
    display: none;
  }
}

@media (min-width: v.$mobile + 1px) {
  .header {
    &__dropdown-menu {
      display: none;
    }
    &__nav {
      justify-content: space-between;
      flex-direction: column;
      height: 118px;
    }
    &__nav-text {
      display: block;
      font-family: "Lato";
      font-size: 24px;
      font-weight: 700;
      margin-left: 17px;
      &:hover {
        color: white;
        transition: all 0.5s ease;
      }
    }
    &__button {
      width: 145px;
      margin-right: 0;
    }
    &__nav-logo-text-wrapper {
      @include mixins.flex-placement-row;
    }
    &__nav-tablet-higher-part-wrapper {
      @include mixins.flex-placement-row;
      width: 100%;
      justify-content: space-between;
      margin-top: 22px;
    }
    &__download-button {
      width: 390px;
      height: 62px;
      top: 685px;
    }
    &__download-button-description {
      top: 760px;
    }
    &__nav-elements {
      @include mixins.flex-placement-row;
      width: 100%;
    }
    &__nav-element {
      display: block;
      color: v.$main-color;
      @include mixins.font-styling-m(16px);
      padding: 0 3% 20px 3%;
      &:hover {
        color: white;
        transition: all 0.5s ease;
      }
    }
    &__title {
      font-size: 72px;
    }
    &__description-text {
      font-size: 24px;
    }
    &__version-text {
      font-size: 14px;
    }
  }
}
@media (min-width: v.$mobile + 1px) and (max-width: 560px) {
  .header__nav-element {
    @include mixins.font-styling-m(13px);
  }
}
@media (min-width: v.$tablet + 1px) {
  .header {
    &__nav {
      background: none;
      margin-top: 10px;
    }
    &__nav-elements-desktop {
      @include mixins.flex-placement-row;
      justify-content: flex-start;
      width: 60%;
      margin-right: 0;
    }
    &__button {
      width: 165px;
      margin: 0;
    }
    &__nav-elements {
      display: none;
    }
    &__nav-element {
      margin-bottom: 0;
    }
    &__nav-logo-text-wrapper {
      margin-right: 23%;
    }
    &__version-text {
      font-size: 14px;
    }
    &__nav-element {
      padding: 0 3% 0 3%;
    }
  }
}

@media (min-width: v.$tablet + 1px) {
  .header__nav-logo-text-wrapper {
    margin-right: 10%;
  }
}
